package mtwm

import "git.rosy.net.cn/baseapi/platformapi/mtwmapi"

// GetPoiIMStatus 查询门店IM单聊开关状态
func GetPoiIMStatus(appPoiCode, vendorOrgCode string) (retVal mtwmapi.GetPoiIMStatusResp, err error) {
	retVal, err = getAPI(vendorOrgCode, 0, appPoiCode).GetPoiIMStatus(appPoiCode)
	return retVal, err
}

// SetPoiIMStatus 设置门店IM线上状态 0-关闭 1-开启
func SetPoiIMStatus(appPoiCode, vendorOrgCode string, imStatus int) error {
	err := getAPI(vendorOrgCode, 0, appPoiCode).SetPoiIMStatus(appPoiCode, imStatus)
	return err
}

// MsgSend 向用户发送消息
//func MsgSend(vendorOrgCode, msg string) error {
//	_, err := getAPI(vendorOrgCode, 0, "").MsgSend(msg)
//	return err
//}
